> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/anc-pregnancy-create.md).

# ANC Pregnancy Create

| **API URL**     | {{url}}/spice-service/medical-review/anc-pregnancy/create |
| --------------- | --------------------------------------------------------- |
| **Method**      | POST                                                      |
| **Description** | Creation of ANC Pregnancy in Medical Review               |

#### **Input:** <a href="#ancpregnancycreate-v2-input" id="ancpregnancycreate-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| assessmentType         | String   | Yes           | ANC\_REVIEW                                                                                                                             |
| clinicalNotes          | String   | Yes           | Clinical Notes for the medical review                                                                                                   |
| encounter              | String   | Yes           | Encounter details of the patient                                                                                                        |
| latitude               | Long     | Yes           | Location of the registration                                                                                                            |
| longitude              | Long     | Yes           | Location of the registration                                                                                                            |
| memberId               | Bigint   | Yes           | Household member ID                                                                                                                     |
| patientId              | Bigint   | Yes           | Patient id                                                                                                                              |
| provenance             | String   | Yes           | Provenance details of the organization                                                                                                  |
| referred               | Boolean  | Yes           | Patient referred status                                                                                                                 |
| visitNumber            | Bigint   | Yes           | Visit Number of patient                                                                                                                 |
| pregnancyDetails       | String   | Yes           | Pregnancy Details of Patient                                                                                                            |
| bmi                    | Long     | Yes           | BMI of patient                                                                                                                          |
| estimatedDeliveryDate  | Date     | yes           | Estimated Delivery Date                                                                                                                 |
| gestationalAge         | Bigint   | Yes           | Gestational Age                                                                                                                         |
| height                 | Long     | Yes           | Height of patient                                                                                                                       |
| lastMenstrualPeriod    | Date     | Yes           | LastMenstrual Period                                                                                                                    |
| provenance             | String   | Yes           | Provenance details of the organization                                                                                                  |
| weight                 | Long     | Yes           | Patient Weight                                                                                                                          |
| pregnancyHistory       | String   | Yes           | Pregnancy History                                                                                                                       |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#ancpregnancycreate-v2-sampleinput" id="ancpregnancycreate-v2-sampleinput"></a>

{\
"assessmentType": "ANC\_REVIEW",\
"clinicalNotes": "Chv",\
"encounter": {\
"endTime": "2025-01-20T17:39:30+05:30",\
"latitude": 13.0145986,\
"longitude": 80.2098964,\
"memberId": "800",\
"patientId": "1",\
"provenance": {\
"modifiedDate": "2025-01-20T12:09:30.344Z",\
"organizationId": "9",\
"spiceUserId": 11,\
"userId": "2"\
},\
"referred": true,\
"startTime": "2025-01-20T17:39:30+05:30",\
"visitNumber": 1\
},\
"obstetricExaminationNotes": "",\
"obstetricExaminations": \[],\
"pregnancyDetails": {\
"bmi": 148.76,\
"estimatedDeliveryDate": "2025-10-20",\
"gestationalAge": 1,\
"height": 55,\
"lastMenstrualPeriod": "2025-01-13",\
"provenance": {\
"modifiedDate": "2025-01-20T12:07:20.733Z",\
"organizationId": "9",\
"spiceUserId": 22,\
"userId": "2"\
},\
"weight": 45\
},\
"pregnancyHistory": \[],\
"presentingComplaints": \[],\
"presentingComplaintsNotes": ""\
}

#### **Output:** <a href="#ancpregnancycreate-v2-output" id="ancpregnancycreate-v2-output"></a>

| **Field Name**   | **Type** | **Comments**                       |
| ---------------- | -------- | ---------------------------------- |
| message          | String   | MedicalReview created successfully |
| patientReference | BigInt   | Patinet reference id               |
| encounterId      | BigInt   | Encounter Id                       |
| status           | Boolean  | Response status                    |

#### **Sample Output:** <a href="#ancpregnancycreate-v2-sampleoutput" id="ancpregnancycreate-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview created successfully.",
  "entity": {
    "patientReference": "802",
    "encounterId": "805"
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/anc-pregnancy-create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
